/**
 * Contact styles
 */

.contact-container {
  width: 100%;
  max-width: 36rem;
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  margin-top: 0.75rem;
}

.contact-intro {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  text-align: center;
}

.contact-info-container {
  flex: 1 1 0;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.contact-info-group {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
}

.contact-table {
  width: auto;
  margin: 0 -0.675rem;
}

.contact-table > tbody > tr {
  background-color: transparent;
}

.contact-table td:first-child {
  font-weight: 500;
}

.contact-table td.body {
  font-weight: 400;
}

.contact-table td:last-child {
  color: var(--text);
}

.contact-table > tbody > tr > td {
  padding: 0.125rem 0.675rem;
  text-wrap: nowrap;
}

.contact-table > tbody > tr > td > a {
  color: var(--text);
}

.contact-table > tbody > tr > td > .icon {
  width: 1.25rem;
  height: 1.25rem;
  stroke: var(--red-dark);
}

.contact-table .icon.fb {
  margin-bottom: -0.125rem;
}

.contact-table .icon.x {
  margin-bottom: -0.25rem;
}

.contact-table > tbody > tr > td > .icon.fill {
  stroke: none;
  fill: var(--red-dark);
}

.contact-table > tbody > tr > td > a:hover, .contact-table > tbody > tr > td > a:focus {
  color: var(--red);
}

.contact-form-container {
  flex: 1 1 0;
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
}

#contact-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.form-field {
  display: flex;
  flex-direction: column;
  gap: 0.375rem;
}

.form-label {
  font-family: var(--font-body);
  font-size: 1rem;
}

.form-label.required::after {
  content: " *";
  color: var(--red);
}

.form-input {
  font-family: var(--font-body);
  padding: 0.5rem 0.75rem;
  border-radius: 0.5rem;
  border: 1px solid var(--black-a80);
  outline: 1px solid var(--red-a00);
  transition: none;
}

.form-input:focus {
  border: 1px solid var(--red);
  outline: 1px solid var(--red);
}

#contact-form > button {
  margin-right: auto;
}

.contact-map {
  width: 100%;
  height: 20rem;
  border-radius: 0.5rem;
}

/* 400px */
@media (min-width: 25rem) {
}

/* 640px */
@media (min-width: 40rem) {
  .contact-container {
    width: 36rem;
    max-width: none;
  }

  .contact-intro {
    width: 36rem;
  }
}

/* 768px */
@media (min-width: 48rem) {
  .contact-container {
    width: 46rem;
  }

  .contact-intro {
    width: 44rem;
  }
}

/* 1024px */
@media (min-width: 64rem) {
  .contact-container {
    flex-direction: row;
    width: 58rem;
    gap: 1.5rem;
  }

  .contact-container:not(:first-child) {
    margin-top: 1.5rem;
  }

  .form-label, .form-input {
    font-size: 1.125rem;
  }

  .contact-intro {
    width: 58rem;
  }

  .contact-map {
    flex: 1 0 0;
    width: auto;
  }
}

/* 1280px */
@media (min-width: 80rem) {
  .contact-container {
    width: 68rem;
    gap: 2.5rem;
  }

  .contact-intro {
    width: 64rem;
  }
}

/* 1536px */
@media (min-width: 96rem) {
}

/* 1920px */
@media (min-width: 120rem) {
}
